Subject: bug#9181: 24.0.50; Alpha transparency no longer works

From: David De La Harpe Golden <[email-masked]>
Date: Thu, 28 Jul 2011 13:10:33 +0100

On 25/07/11 21:41, Luka Novsak wrote:
> My last build of emacs from source checked out of the trunk on
> 2011-07-21 broke transparency. My former build was several weeks old, so
> can't say how old this is exactly.
>
> Starting from emacs -Q I do (set-frame-parameter (selected-frame) 'alpha
> '(90 90)), which should(?) work, but doesn't anymore.
>

Works for me (emacs trunk rev 105334)

Note this feature depends on compositing being active: all it does is 
set the relevant x11 window property to request the compositing manager 
render the window with some alpha.  So it has no effect if you've, say, 
turned off compositing (sometimes called "desktop effects") in a window 
manager capable of it (say XFCE), or have switched to a low-requirements 
desktop environment / window-manager that doesn't do it at all.